> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/returns-api/location.md).

# Location

## GET /returns/v1/{identifier}/location/{\*\*catch-all}

> Get Return Location Call

```json
{"openapi":"3.1.1","info":{"title":"GRP Returns API","version":"1"},"servers":[{"url":"https://api.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header","description":"Please insert JWT with Bearer into field"}},"schemas":{"GetLocationsResponseDto":{"description":"Get locations response DTO implementation.","type":"object","properties":{"locations":{"description":"The list of locations found matching the criteria.","type":"array","items":{"$ref":"#/components/schemas/LocationResponseDto"}}}},"LocationResponseDto":{"description":"Location DTO implementation.","type":"object","properties":{"id":{"description":"The Location identifier. Could be the StoreId, KioskId, OutletId, PickupLocationId etc.","type":"string"},"eswId":{"description":"The EswId identifier. Added for StoreId. Data team expects to get unique store id (GUID) from OMS.","type":"string"},"type":{"$ref":"#/components/schemas/LocationType"},"name":{"description":"The name of the location eg Store Name, Pop Station Name etc.","type":"string"},"shortName":{"description":"The shortened name of the location.","type":"string"},"displayName":{"description":"The display name of the location.","type":"string"},"address1":{"description":"Line 1 of the address.","type":"string"},"address2":{"description":"Line 2 of the address.","type":"string"},"address3":{"description":"Line 3 of the address.","type":"string"},"displayAddress":{"description":"The display address.","type":"string"},"city":{"description":"The city of the location.","type":"string"},"postalCode":{"description":"The postal code of the location.","type":"string"},"sortCode":{"description":"The sort code of the location.","type":"string"},"region":{"description":"The region of the location.","type":"string"},"countryCode":{"description":"The country code for the location.","type":"string"},"country":{"description":"The country name for the location.","type":"string"},"telephone":{"description":"The telephone number of the location.","type":"string"},"email":{"description":"The email address of the location.","type":"string"},"latitude":{"format":"double","description":"Latitude co-ordinates of the location.","type":"number"},"longitude":{"format":"double","description":"Longitude co-ordinates of the location.","type":"number"},"distanceInKms":{"format":"double","description":"Distance to the location in kilometres.","type":"number"},"openingTimesDescription":{"description":"The opening times description for the location.","type":"string"},"openingTimes":{"description":"The opening times for the location.","type":"array","items":{"$ref":"#/components/schemas/OpeningTimeResponseDto"}},"carrierCode":{"type":"string"},"carrierServiceRouteId":{"type":"string"},"locationCapabilities":{"$ref":"#/components/schemas/LocationCapabilities"},"isApproximate":{"type":"boolean"}}},"LocationType":{"enum":["Store","Pudo","Locker"],"type":"string"},"OpeningTimeResponseDto":{"description":"Opening time response DTO implementation.","type":"object","properties":{"day":{"$ref":"#/components/schemas/DayOfWeek"},"opens":{"type":"string"},"closes":{"type":"string"},"storeAvailability":{"$ref":"#/components/schemas/StoreAvailability"}}},"DayOfWeek":{"enum":["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],"type":"string"},"StoreAvailability":{"enum":["Default","ClosedWholeDay","OpenedWholeDay"],"type":"string"},"LocationCapabilities":{"enum":["None","Shop","PrintInStore","PackagelessReturns","NextDayDropOff","AcceptDelivery","AcceptDropOff"],"type":"string"},"ValidationProblemDetails":{"type":"object","properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/returns/v1/{identifier}/location/{**catch-all}":{"get":{"tags":["Location"],"summary":"Get Return Location Call","parameters":[{"schema":{"type":"string"},"in":"path","name":"identifier","required":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/GetLocationsResponseDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/GetLocationsResponseDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetLocationsResponseDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"422":{"description":"Unprocessable Content","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/returns-api/location.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
